import 'package:flutter/material.dart';
import 'package:notar_e_anotar_app/pages/routine_period_selection.dart';
import 'package:notar_e_anotar_app/styles/global_styles.dart';
import 'package:notar_e_anotar_app/pages/routine_plan_registration.dart';

class RoutineThemeSelection extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    alignedButtons() {
      return Row(
        mainAxisAlignment: MainAxisAlignment.spaceAround,
        children: [
          TextButton(
            style: TextButton.styleFrom(
              backgroundColor: backgroundWhite,
              primary: primary,
              minimumSize: Size(134, 44),
              side: BorderSide(color: primary, width: 1),
            ),
            onPressed: () {
              Navigator.pop(
                  context,
                  MaterialPageRoute(
                      builder: (context) => RoutinePeriodSelection()));
            },
            child: Text('Voltar'),
          ),
          TextButton(
            style: TextButton.styleFrom(
              backgroundColor: primary,
              primary: backgroundWhite,
              minimumSize: Size(134, 44),
            ),
            onPressed: () {
              Navigator.push(
                  context,
                  MaterialPageRoute(
                      builder: (context) => RoutinePlanRegistration()));
            },
            child: Text('Confirmar'),
          ),
        ],
      );
    }

    return Scaffold(
      appBar: PreferredSize(
        preferredSize: Size.fromHeight(170),
        child: AppBar(
          iconTheme: IconThemeData(
            color: backgroundWhite,
          ),
          flexibleSpace: Container(
            decoration: BoxDecoration(
              image: DecorationImage(
                image: AssetImage("images/blob_background.png"),
                fit: BoxFit.fill,
              ),
            ),
          ),
          title: Text(
            "Selection",
            style: TextStyle(
              color: backgroundWhite,
            ),
          ),
        ),
      ),
      body: Column(
        children: [
          // width: 300,
          //height: 100,
          //color: backgroundWhite,
          Text(
            "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.",
            style: TextStyle(
              color: gray,
              backgroundColor: backgroundWhite,
              fontSize: 16,
            ),
            textAlign: TextAlign.justify,
          ),
          alignedButtons(),
        ],
      ),
    );
  }
}
