import 'package:flutter/material.dart';
import 'package:notar_e_anotar_app/styles/global_styles.dart';

// Custom app theme

final appTheme = ThemeData(
  // Define the default brightness and colors.
  brightness: Brightness.light,
  primaryColor: primary,
  accentColor: primaryAccent,
  backgroundColor: backgroundGrey,
  appBarTheme: AppBarTheme(
      elevation: 0,
      centerTitle: false,
      backgroundColor: Colors.white,
      foregroundColor: primary,
      iconTheme: IconThemeData(color: primary)),

  // Define the default font family.
  fontFamily: 'Baloo 2',

  // Define the default TextTheme. Use this to specify the default
  // text styling for headlines, titles, bodies of text, and more.
  textTheme: TextTheme(
    headline1: TextStyle(fontSize: 72.0, fontWeight: FontWeight.bold),
    headline4: TextStyle(fontSize: 36.0, fontStyle: FontStyle.normal),
    headline6:
        TextStyle(color: primary, fontWeight: FontWeight.bold, fontSize: 20),
    bodyText1: TextStyle(fontSize: 14.0),
  ),
);
